Bug 1352835 - Unable to edit My Documents path
Summary: Unable to edit My Documents path
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice   
(Show other bugs)
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-05 08:50 UTC by Neil Darlow
Modified: 2016-07-12 15:00 UTC (History)
5 users (show)

Fixed In Version: libreoffice-5.1.4.1-5.fc24 libreoffice-5.1.4.2-5.fc24
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-12 15:00:53 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Neil Darlow 2016-07-05 08:50:31 UTC
Description of problem:

When attempting to edit the My Documents path the path selection dialog will not close with either Cancel or OK.

You are forced to close the underlying Tools|Options|Paths dialog using its close button (X) in the title bar. This removes both dialogs.


Version-Release number of selected component (if applicable):

libreoffice-opensymbol-fonts-5.1.4.2-4.fc24.noarch
libreoffice-ure-5.1.4.2-4.fc24.x86_64
libreoffice-calc-5.1.4.2-4.fc24.x86_64
libreoffice-impress-5.1.4.2-4.fc24.x86_64
libreoffice-pyuno-5.1.4.2-4.fc24.x86_64
libreoffice-base-5.1.4.2-4.fc24.x86_64
libreoffice-math-5.1.4.2-4.fc24.x86_64
libreoffice-emailmerge-5.1.4.2-4.fc24.x86_64
libreoffice-writer2latex-1.0.2-19.fc24.x86_64
libreoffice-data-5.1.4.2-4.fc24.noarch
libreoffice-writer-5.1.4.2-4.fc24.x86_64
libreoffice-langpack-en-5.1.4.2-4.fc24.x86_64
libreoffice-xsltfilter-5.1.4.2-4.fc24.x86_64
libreoffice-draw-5.1.4.2-4.fc24.x86_64
libreoffice-core-5.1.4.2-4.fc24.x86_64
libreofficekit-5.1.4.2-4.fc24.x86_64
libreoffice-filters-5.1.4.2-4.fc24.x86_64
libreoffice-pdfimport-5.1.4.2-4.fc24.x86_64
libreoffice-gtk3-5.1.4.2-4.fc24.x86_64
libreoffice-graphicfilter-5.1.4.2-4.fc24.x86_64


How reproducible:

Every time.

Steps to Reproduce:

1. Open a libreoffice application. I used Writer.
2. Select Tools|Paths, highlight My Documents and click the Edit button.
3. Choose your new My Documents path and click the OK button.

Actual results:

At step 3 above, the My Documents path selection dialog persists. You have to close the underlying Tools|Paths dialog with its close button (X) in the title bar.

Expected results:

The My Documents path selection dialog should close and the My Documents path should be updated.

Additional info:

The only GNOME Shell changes I have are:
1) I use the DashToDock extension
2) I have disabled the GNOME Shell Application menu integration.

Comment 1 Caolan McNamara 2016-07-05 09:22:22 UTC
Yup, dialog isn't destroyed at a useful time so it stays around after its "closed"

Comment 2 Neil Darlow 2016-07-05 10:22:49 UTC
I don't know if other path dialogs are affected in a similar manner.

I was casually browsing the path settings and wanted to change My Documents and Templates to reflect the directories in my home.

There was no problem adding ~/Templates to the Templates path.

Comment 3 Fedora Update System 2016-07-09 14:38:59 UTC
libreoffice-5.1.4.2-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-983ce3851d

Comment 4 Fedora Update System 2016-07-10 15:57:24 UTC
libreoffice-5.1.4.2-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-983ce3851d

Comment 5 Fedora Update System 2016-07-12 15:00:34 UTC
libreoffice-5.1.4.2-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.